cew::EnergyWiseManager Interface Reference

EnergyWise manager. More...

`import"EnergyWiseManager.idl";`

## Public Member Functions

EnergyWiseSettings | getSettings ()
| Retrieve EnergyWiseSettings. More...
int | setSettings (in EnergyWiseSettings settings)
| Set settings (domain level) More...

## Detailed Description

EnergyWise manager.

## Member Function Documentation

## getSettings()

EnergyWiseSettings cew::EnergyWiseManager::getSettings | ( |  | ) |

Retrieve EnergyWiseSettings.

Returns
  `EnergyWiseSettings`

## setSettings()

int cew::EnergyWiseManager::setSettings | ( | in EnergyWiseSettings | settings | ) |

Set settings (domain level)

Returns
  0 if OK
  1 if invalid param

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/EnergyWiseManager.idl